# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

%define section free

Summary:        Direct Web Remoting
Name:           dwr
Version:        1.1.3
Release:        2jpp
Epoch:          0
License:        Apache Software License 2.0
URL:            http://getahead.ltd.uk/dwr/
Group:          Development/Libraries/Java
Vendor: %{?_vendorinfo:%{_vendorinfo}}%{!?_vendorinfo:%{_vendor}}
Distribution: %{?_distribution:%{_distribution}}%{!?_distribution:%{_vendor}}
Source0:        https://dwr.dev.java.net/files/documents/2427/37279/dwr-1.1.3-src.zip
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  bsf
BuildRequires:  jakarta-commons-logging
BuildRequires:  dom4j
BuildRequires:  hibernate3
BuildRequires:  myfaces
BuildRequires:  servlet
BuildRequires:  spring-core
BuildRequires:  struts
BuildRequires:  xml-commons-apis
BuildRequires:  xom
Requires:  bsf
Requires:  jakarta-commons-logging
Requires:  dom4j
Requires:  hibernate3
Requires:  myfaces
Requires:  servlet
Requires:  spring-core
Requires:  struts
Requires:  xml-commons-apis
Requires:  xom
%if %{gcj_support}
BuildRequires:    gnu-crypto
BuildRequires:          java-gcj-compat-devel
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
DWR allows Javascript in a browser to interact with Java on
a server and helps you manipulate web pages with the results.
DWR is Easy Ajax for Java.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description    javadoc
%{summary}.

%package        manual
Summary:        Docs for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.

%prep
%setup -q -c -n %{name}-%{version}
for j in $(find . -name "*.jar"); do
      mv $j $j.no
done

%build
pushd jar
ln -s $(build-classpath bsf)
ln -s $(build-classpath commons-logging)
ln -s $(build-classpath dom4j)
ln -s $(build-classpath hibernate3)
ln -s $(build-classpath jdom)
ln -s $(build-classpath junit)
ln -s $(build-classpath myfaces/myfaces-jsf-api)
ln -s $(build-classpath servletapi5)
ln -s $(build-classpath spring/core)
ln -s $(build-classpath struts)
ln -s $(build-classpath xml-commons-apis)
ln -s $(build-classpath xom)
popd
mkdir -p web/WEB-INF/lib
ant files tests

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -Dpm 644 target/ant/%{name}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -Dpm 644 target/ant/%{name}.war \
      $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/%{name}.war

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/ant/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%if %{gcj_support}
%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar
%doc LICENSE.txt
%{_datadir}/%{name}-%{version}
%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Tue May 15 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.1.3-2jpp
- Fix aot build
- Make Vendor, Distribution based on macro

* Thu Oct 05 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.1.3-1jpp
- First release
- Add post/postun Requires for javadoc
- Add gcj_support option

